Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class EmbeddedOneToOneFieldMapping

    java.lang.Object
      |
      +--kodo.meta.DelegatingExtensions
            |
            +--kodo.meta.DelegatingFieldMetaData
                  |
                  +--kodo.jdbc.meta.AbstractFieldMapping
                        |
                        +--kodo.jdbc.meta.ReferenceFieldMapping
                              |
                              +--kodo.jdbc.meta.EmbeddedOneToOneFieldMapping

All Implemented Interfaces:
  Commentable, Comparable, Extensions, FieldMapping, FieldMetaData, JDBCTypes, JDOTypes, Mapping

public class EmbeddedOneToOneFieldMapping
extends ReferenceFieldMapping

Maps an embedded 1-1 relation.

Field Summary
`static String` | `NULL_IND` Extension key used to specify the field of the embedded class to use as a null-indicator for the embedded object.
`static String` | `SYNTHETIC`
`static String` | `TYPE`

Fields inherited from interface kodo.jdbc.meta.JDBCTypes
`TYPE_ASCII_STREAM, TYPE_BINARY_STREAM, TYPE_BLOB, TYPE_BYTES, TYPE_CHAR_STREAM, TYPE_CLOB, TYPE_JDBC_DEFAULT, TYPE_REF, TYPE_SQL_ARRAY, TYPE_SQL_DATE, TYPE_SQL_OBJECT, TYPE_TIME, TYPE_TIMESTAMP`

Fields inherited from interface kodo.meta.JDOTypes
`TYPE_ARRAY, TYPE_BIGDECIMAL, TYPE_BIGINTEGER, TYPE_BOOLEAN, TYPE_BOOLEAN_OBJ, TYPE_BYTE, TYPE_BYTE_OBJ, TYPE_CHAR, TYPE_CHAR_OBJ, TYPE_COLLECTION, TYPE_DATE, TYPE_DOUBLE, TYPE_DOUBLE_OBJ, TYPE_FCO, TYPE_FLOAT, TYPE_FLOAT_OBJ, TYPE_INT, TYPE_INT_OBJ, TYPE_LOCALE, TYPE_LONG, TYPE_LONG_OBJ, TYPE_MAP, TYPE_NUMBER, TYPE_OBJECT, TYPE_PC_OBJECT, TYPE_SHORT, TYPE_SHORT_OBJ, TYPE_STRING`

Fields inherited from interface kodo.jdbc.meta.FieldMapping
`AUTO_INCREMENT, DELETE_ACTION, ELEMENT_DELETE_ACTION, ELEMENT_INDEXED, ELEMENT_SIZE, EXTENSION_KEYS, FIELD_MAP, INDEXED, JDBC_TYPE, KEY_DELETE_ACTION, KEY_INDEXED, KEY_SIZE, REF_DELETE_ACTION, REF_INDEXED, SIZE, SQL_TYPE, VALUE_DELETE_ACTION, VALUE_INDEXED, VALUE_SIZE`

Fields inherited from interface kodo.meta.FieldMetaData
`DEPENDENT, EAGER_FETCH_MODE, ELEMENT_DEPENDENT, ELEMENT_TYPE, EXTERNAL_VALUES, EXTERNALIZER, FACTORY, FETCH_GROUP, INVERSE_LOGICAL, INVERSE_OWNER, KEY_DEPENDENT, KEY_TYPE, LOCK_GROUP, LOCK_GROUP_DEFAULT, LOCK_GROUP_NONE, LRS, MANAGE_NONE, MANAGE_PERSISTENT, MANAGE_TRANSACTIONAL, NULL_DEFAULT, NULL_EXCEPTION, NULL_NONE, NULL_UNSET, SEQUENCE_ASSIGNED, VALUE_DEPENDENT, VALUE_TYPE`

Constructor Summary
`EmbeddedOneToOneFieldMapping(FieldMetaData meta)` Constructor.

Method Summary
`void` | `addExtensionKeys(Collection attrs)` Add all the known extension keys to the specified collection; any implementation that utilized new extensions should override this method to include both the known extensions of its superclass as well as its own extension keys.
`void` | `addMappingInfoAttributes(Collection attrs)` Add all mapping attributes names used by this mapping to the given collection.
`void` | `appendIsNotNull(SQLBuffer sql, Select sel, Joins joins)` Append a where clause to the given statement checking if this value is not null.
`void` | `appendIsNull(SQLBuffer sql, Select sel, Joins joins)` Append a where clause to the given statement checking if this value is null.
`void` | `delete(KodoStateManager sm, JDBCStoreManager store)` Override this method to customize flushing this mapping.
`void` | `delete(KodoStateManager sm, RowManager rm)` Delete the row for this object if the reference foreign key exists.
`void` | `deleteEmbedded(KodoStateManager sm, JDBCStoreManager store)` Override this method to customize deleting the given mapping (used with embedded values only).
`void` | `deleteEmbedded(KodoStateManager sm, RowManager rm)` Delete values for the mapping.
`void` | `fromMappingInfo(MappingInfo info, boolean adapt)` The default implementation will raise warnings for any mapping attributes that are declared but not in the list of the valid attributes for this mapping.
`Column[]` | `getColumns()` Return the data columns for this mapping.
`Object` | `getDataStoreValue(Object val)` Translate the given external field value to its datastore equivalent.
`ClassMapping` | `getDeclaredTypeMapping()`
`ClassMetaData` | `getDeclaredTypeMetaData()` Return metadata for the field's type, if the type is persistent.
`kodo.jdbc.meta.EmbeddedClassMapping` | `getEmbeddedMapping()` The embedded class mapping.
`String` | `getMappingType()` Return the abbreviated name of this mapping, or the full class name if it is a custom mapping.
`String` | `getNullIndicator()`
`Column` | `getNullIndicatorColumn()` Return the column used as a null indicator for the embedded value.
`ClassMapping` | `getTypeMapping()` Convenience method to make casting from `getTypeMetaData()` unnecessary.
`ClassMetaData` | `getTypeMetaData()` Return metadata for the field's type, if the type is persistent.
`void` | `insert(KodoStateManager sm, JDBCStoreManager store)` Override this method to customize flushing this mapping.
`void` | `insert(KodoStateManager sm, RowManager rm)` Set values for the mapping into the proper rows.
`Boolean` | `isCustomDelete(KodoStateManager sm)` Return `Boolean.FALSE` if this mapping does not customize the delete process, `Boolean.TRUE` if it does, or null if it does customize the delete, but also relies on the standard delete method being called.
`Boolean` | `isCustomDeleteEmbedded(KodoStateManager sm)` Return `Boolean.FALSE` if this mapping does not customize the delete process, `Boolean.TRUE` if it does, or null if it does customize the delete, but also relies on the standard delete method being called.
`Boolean` | `isCustomInsert(KodoStateManager sm)` Return `Boolean.FALSE` if this mapping does not customize the insert process, `Boolean.TRUE` if it does, or null if it does customize the insert, but also relies on the standard insert method being called.
`Boolean` | `isCustomNullEmbedded(KodoStateManager sm)` Return `Boolean.FALSE` if this mapping does not customize the nulling process, `Boolean.TRUE` if it does, or null if it does customize the nulling, but also relies on the standard nulling method being called.
`Boolean` | `isCustomUpdate(KodoStateManager sm)` Return `Boolean.FALSE` if this mapping does not customize the update process, `Boolean.TRUE` if it does, or null if it does customize the update, but also relies on the standard update method being called.
`boolean` | `isSynthetic()` Whether the null indicator column is managed by this mapping.
`Joins` | `join(Joins joins)` Join this value to the class table.
`void` | `load(KodoStateManager sm, JDBCStoreManager store, JDBCFetchConfiguration fetch)` Load secondary data using a connection from the store manager.
`void` | `load(KodoStateManager sm, JDBCStoreManager store, JDBCFetchConfiguration fetch, Result res)` Load virtual row data; the given result is not guaranteed to contain data for this field, so the field mapping should make sure the result contains its needed column data before loading.
`Object` | `loadKeyProjection(JDBCStoreManager store, JDBCFetchConfiguration fetch, Result res, Joins joins)` Load this field's key value using the given result.
`Object` | `loadProjection(JDBCStoreManager store, JDBCFetchConfiguration fetch, Result res, Joins joins)` Load this field value using the given result.
`boolean` | `map()` Map a new instance of this mapping type.
`void` | `nullEmbedded(KodoStateManager sm, JDBCStoreManager store)` Override this method to customize nulling the given mapping (used with embedded values only).
`void` | `nullEmbedded(KodoStateManager sm, RowManager rm)` Null values for the mapping.
`void` | `refSchemaComponents()` Increment the reference count of all used schema components.
`int` | `select(Select sel, KodoStateManager sm, JDBCStoreManager store, JDBCFetchConfiguration fetch, int eagerMode)` Select the virtual row columns of this mapping.
`void` | `setEmbeddedMapping(kodo.jdbc.meta.EmbeddedClassMapping mapping)` The embedded class mapping.
`void` | `setNullIndicator(String nullInd)`
`void` | `setNullIndicatorColumn(Column nullInd)` Set the column used as a null indicator for the embedded value.
`void` | `setSynthetic(boolean synthetic)` Whether the null indicator column is managed by this mapping.
`void` | `toMappingInfo(MappingInfo info)` Serialize this mapping to a simple `MappingInfo` instance for transfer to XML or some other format.
`void` | `update(KodoStateManager sm, JDBCStoreManager store)` Override this method to customize flushing this mapping.
`void` | `update(KodoStateManager sm, RowManager rm)` Set values for the mapping into the proper rows.

Methods inherited from class kodo.jdbc.meta.ReferenceFieldMapping
`createRefForeignKey, fromMappingInfo, getJoinedRow, getRefForeignKey, getRefJoins, getRefJoinType, getTable, join, setRefForeignKey, setRefForeignKey, setRefJoinType, wherePrimaryKey, whereRefForeignKey`

Methods inherited from class kodo.jdbc.meta.AbstractFieldMapping
`appendIsEmpty, assertTable, getDBDictionary, getDeclaredElementTypeMapping, getDeclaredElementTypeMetaData, getDeclaredKeyTypeMapping, getDeclaredKeyTypeMetaData, getDeleteAction, getElementDeleteAction, getElementIndexed, getElementSize, getElementTypeMapping, getElementTypeMetaData, getFieldMappingName, getIndexed, getInverseMappings, getInverseMetaDatas, getInverseOwnerMapping, getInverseOwnerMetaData, getJDBCTypeCode, getKeyColumns, getKeyDataStoreValue, getKeyDeleteAction, getKeyIndexed, getKeySize, getKeyTypeMapping, getKeyTypeMetaData, getMappingRepository, getMetaData, getNonVirtualOwner, getOwner, getOwnerMapping, getOwnerTable, getRefDeleteAction, getRefIndexed, getSize, getSQLType, invalidateResolve, isAutoIncrement, isDeleteActionDeferred, isEagerJoinToMany, isElementDeleteActionDeferred, isKeyDeleteActionDeferred, isPCObjectRelation, isRefDeleteActionDeferred, isResolved, joinKey, joinKeyRelation, joinRelation, loadEagerJoin, loadEagerParallel, resolve, reverseMap, selectEagerJoin, selectEagerParallel, setAutoIncrement, setDeleteAction, setElementDeleteAction, setElementIndexed, setElementSize, setFieldMappingName, setIndexed, setJDBCTypeCode, setKeyDeleteAction, setKeyIndexed, setKeySize, setNonVirtualOwner, setOwner, setRefDeleteAction, setRefIndexed, setSize, setSQLType, supportsSelect, usesImplData, usesIntermediate`

Methods inherited from class kodo.meta.DelegatingFieldMetaData
`compareTo, equals, getComments, getComparator, getDeclaredElementType, getDeclaredElementTypeCode, getDeclaredIndex, getDeclaredKeyType, getDeclaredKeyTypeCode, getDeclaredPrimaryKeyIndex, getDeclaredType, getDeclaredTypeCode, getDelegate, getEagerFetchMode, getElementType, getElementTypeCode, getElementTypeName, getExternalizer, getExternalValue, getExternalValues, getFactory, getFetchGroup, getFieldFlag, getFieldValue, getFullName, getIndex, getInnermostDelegate, getInverseLogical, getInverseOwner, getKeyType, getKeyTypeCode, getKeyTypeName, getListingIndex, getLockGroup, getManagement, getName, getNullValue, getPrimaryKeyIndex, getProxyType, getType, getTypeCode, getTypeName, hashCode, isDefaultFetchGroupExplicit, isDependent, isElementDependent, isElementEmbedded, isEmbedded, isExplicit, isExternalized, isInDefaultFetchGroup, isKeyDependent, isKeyEmbedded, isLRS, isPrimaryKey, isSequenceAssigned, isTransient, setComparator, setDeclaredElementType, setDeclaredElementTypeCode, setDeclaredIndex, setDeclaredKeyType, setDeclaredKeyTypeCode, setDeclaredPrimaryKeyIndex, setDeclaredType, setDeclaredTypeCode, setDependent, setEagerFetchMode, setElementDependent, setElementEmbedded, setElementTypeName, setEmbedded, setExplicit, setExternalizer, setExternalValues, setFactory, setFetchGroup, setInDefaultFetchGroup, setIndex, setInverseLogical, setInverseOwner, setKeyDependent, setKeyEmbedded, setKeyTypeName, setListingIndex, setLockGroup, setLRS, setManagement, setName, setNullValue, setPrimaryKey, setProxyType, setSequenceAssigned, setTransient, setTypeName, toString`

Methods inherited from class kodo.meta.DelegatingExtensions
`addExtension, addExtension, getBooleanExtension, getBooleanExtension, getDoubleExtension, getDoubleExtension, getEmbeddedExtensions, getEmbeddedExtensions, getExtensionComments, getExtensionKeys, getExtensionKeys, getExtensionVendors, getIntExtension, getIntExtension, getObjectExtension, getObjectExtension, getStringExtension, getStringExtension, hasExtension, hasExtension, isEmpty, removeEmbeddedExtensions, removeEmbeddedExtensions, removeExtension, removeExtension`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface kodo.meta.FieldMetaData
`getComparator, getDeclaredElementType, getDeclaredElementTypeCode, getDeclaredIndex, getDeclaredKeyType, getDeclaredKeyTypeCode, getDeclaredPrimaryKeyIndex, getDeclaredType, getDeclaredTypeCode, getEagerFetchMode, getElementType, getElementTypeCode, getElementTypeName, getExternalizer, getExternalValue, getExternalValues, getFactory, getFetchGroup, getFieldFlag, getFieldValue, getFullName, getIndex, getInverseLogical, getInverseOwner, getKeyType, getKeyTypeCode, getKeyTypeName, getListingIndex, getLockGroup, getManagement, getName, getNullValue, getPrimaryKeyIndex, getProxyType, getType, getTypeCode, getTypeName, isDefaultFetchGroupExplicit, isDependent, isElementDependent, isElementEmbedded, isEmbedded, isExplicit, isExternalized, isInDefaultFetchGroup, isKeyDependent, isKeyEmbedded, isLRS, isPrimaryKey, isSequenceAssigned, isTransient, setComparator, setDeclaredElementType, setDeclaredElementTypeCode, setDeclaredIndex, setDeclaredKeyType, setDeclaredKeyTypeCode, setDeclaredPrimaryKeyIndex, setDeclaredType, setDeclaredTypeCode, setDependent, setEagerFetchMode, setElementDependent, setElementEmbedded, setElementTypeName, setEmbedded, setExplicit, setExternalizer, setExternalValues, setFactory, setFetchGroup, setInDefaultFetchGroup, setIndex, setInverseLogical, setInverseOwner, setKeyDependent, setKeyEmbedded, setKeyTypeName, setListingIndex, setLockGroup, setLRS, setManagement, setName, setNullValue, setPrimaryKey, setProxyType, setSequenceAssigned, setTransient, setTypeName`

Methods inherited from interface kodo.meta.Extensions
`addExtension, addExtension, getBooleanExtension, getBooleanExtension, getDoubleExtension, getDoubleExtension, getEmbeddedExtensions, getEmbeddedExtensions, getExtensionComments, getExtensionKeys, getExtensionKeys, getExtensionVendors, getIntExtension, getIntExtension, getObjectExtension, getObjectExtension, getStringExtension, getStringExtension, hasExtension, hasExtension, isEmpty, removeEmbeddedExtensions, removeEmbeddedExtensions, removeExtension, removeExtension`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface kodo.meta.Commentable
`getComments`

Field Detail

### NULL_IND

    public static final String NULL_IND

  Extension key used to specify the field of the embedded class to use as a null-indicator for the embedded object. If the column for this field is null, the entire object will be considered null. Use a value of `synthetic` to have the system add a special column used just for null indicators. Defaults to `synthetic`.

### SYNTHETIC

    public static final String SYNTHETIC

### TYPE

    public static final String TYPE

Constructor Detail

### EmbeddedOneToOneFieldMapping

    public EmbeddedOneToOneFieldMapping(FieldMetaData meta)

  Constructor. Supply underlying metadata.

Method Detail

### getNullIndicatorColumn

    public Column getNullIndicatorColumn()

  Return the column used as a null indicator for the embedded value.

### setNullIndicatorColumn

    public void setNullIndicatorColumn(Column nullInd)

  Set the column used as a null indicator for the embedded value.

### isSynthetic

    public boolean isSynthetic()

  Whether the null indicator column is managed by this mapping.

### setSynthetic

    public void setSynthetic(boolean synthetic)

  Whether the null indicator column is managed by this mapping.

### getEmbeddedMapping

    public kodo.jdbc.meta.EmbeddedClassMapping getEmbeddedMapping()

  The embedded class mapping.

### setEmbeddedMapping

    public void setEmbeddedMapping(kodo.jdbc.meta.EmbeddedClassMapping mapping)

  The embedded class mapping.

### getNullIndicator

    public String getNullIndicator()

### setNullIndicator

    public void setNullIndicator(String nullInd)

### getTypeMetaData

    public ClassMetaData getTypeMetaData()

  Description copied from interface: `FieldMetaData`
  Return metadata for the field's type, if the type is persistent.
  Overrides:
    `getTypeMetaData` in class `AbstractFieldMapping`

### getTypeMapping

    public ClassMapping getTypeMapping()

  Description copied from interface: `FieldMapping`
  Convenience method to make casting from `FieldMetaData.getTypeMetaData()` unnecessary.
  Overrides:
    `getTypeMapping` in class `AbstractFieldMapping`

### getDeclaredTypeMetaData

    public ClassMetaData getDeclaredTypeMetaData()

  Description copied from interface: `FieldMetaData`
  Return metadata for the field's type, if the type is persistent.
  Overrides:
    `getDeclaredTypeMetaData` in class `AbstractFieldMapping`

### getDeclaredTypeMapping

    public ClassMapping getDeclaredTypeMapping()

  Overrides:
    `getDeclaredTypeMapping` in class `AbstractFieldMapping`

### getMappingType

    public String getMappingType()

  Description copied from interface: `Mapping`
  Return the abbreviated name of this mapping, or the full class name if it is a custom mapping.

### toMappingInfo

    public void toMappingInfo(MappingInfo info)

  Description copied from interface: `Mapping`
  Serialize this mapping to a simple `MappingInfo` instance for transfer to XML or some other format.
  Overrides:
    `toMappingInfo` in class `ReferenceFieldMapping`

### fromMappingInfo

    public void fromMappingInfo(MappingInfo info,
                                boolean adapt)

  Description copied from class: `AbstractFieldMapping`
  The default implementation will raise warnings for any mapping attributes that are declared but not in the list of the valid attributes for this mapping.
  Overrides:
    `fromMappingInfo` in class `AbstractFieldMapping`
  Following copied from class: `kodo.jdbc.meta.AbstractFieldMapping`
  See Also:
    `AbstractFieldMapping.addMappingInfoAttributes(java.util.Collection)`

### addMappingInfoAttributes

    public void addMappingInfoAttributes(Collection attrs)

  Description copied from interface: `Mapping`
  Add all mapping attributes names used by this mapping to the given collection. For foreign key attributes, add the prefix.
  Overrides:
    `addMappingInfoAttributes` in class `ReferenceFieldMapping`

### addExtensionKeys

    public void addExtensionKeys(Collection attrs)

  Description copied from interface: `Extensions`
  Add all the known extension keys to the specified collection; any implementation that utilized new extensions should override this method to include both the known extensions of its superclass as well as its own extension keys.
  Overrides:
    `addExtensionKeys` in class `AbstractFieldMapping`

### map

    public boolean map()

  Description copied from interface: `Mapping`
  Map a new instance of this mapping type. If the underlying metadata cannot be mapped using this type, return false.

### refSchemaComponents

    public void refSchemaComponents()

  Description copied from interface: `Mapping`
  Increment the reference count of all used schema components.
  Overrides:
    `refSchemaComponents` in class `ReferenceFieldMapping`

### getColumns

    public Column[] getColumns()

  Description copied from interface: `FieldMapping`
  Return the data columns for this mapping. This corresponds to the field-order foreign key columns in relations.

### appendIsNull

    public void appendIsNull(SQLBuffer sql,
                             Select sel,
                             Joins joins)

  Description copied from interface: `FieldMapping`
  Append a where clause to the given statement checking if this value is null.

### appendIsNotNull

    public void appendIsNotNull(SQLBuffer sql,
                                Select sel,
                                Joins joins)

  Description copied from interface: `FieldMapping`
  Append a where clause to the given statement checking if this value is not null.

### join

    public Joins join(Joins joins)

  Description copied from interface: `FieldMapping`
  Join this value to the class table. Does nothing by default.
  Overrides:
    `join` in class `AbstractFieldMapping`

### getDataStoreValue

    public Object getDataStoreValue(Object val)

  Description copied from interface: `FieldMapping`
  Translate the given external field value to its datastore equivalent. If the mapping occupies multiple columns in the datastore, return an object array, else return a single object. Simply returns the given object by default.
  Overrides:
    `getDataStoreValue` in class `AbstractFieldMapping`

### select

    public int select(Select sel,
                      KodoStateManager sm,
                      JDBCStoreManager store,
                      JDBCFetchConfiguration fetch,
                      int eagerMode)

  Description copied from interface: `FieldMapping`
  Select the virtual row columns of this mapping.
  Following copied from interface: `kodo.jdbc.meta.FieldMapping`
  Parameters:
    `sel` - the select to add to
    `sm` - the instance being loaded, or null if not initialized yet or selecting for multiple instances
    `store` - the current store manager
    `fetch` - fetch configuration
    `eagerMode` - the eager fetch mode to use; this may be more restrictive than the mode of the fetch configuration
  Returns:
    > 0 if this mapping requires the selected data (if any), 0 if it selected data but does not require it, or < 0 if no data was selected

### load

    public void load(KodoStateManager sm,
                     JDBCStoreManager store,
                     JDBCFetchConfiguration fetch,
                     Result res)
              throws SQLException

  Description copied from interface: `FieldMapping`
  Load virtual row data; the given result is not guaranteed to contain data for this field, so the field mapping should make sure the result contains its needed column data before loading.

### load

    public void load(KodoStateManager sm,
                     JDBCStoreManager store,
                     JDBCFetchConfiguration fetch)
              throws SQLException

  Description copied from interface: `FieldMapping`
  Load secondary data using a connection from the store manager.

### loadProjection

    public Object loadProjection(JDBCStoreManager store,
                                 JDBCFetchConfiguration fetch,
                                 Result res,
                                 Joins joins)
                          throws SQLException

  Description copied from interface: `FieldMapping`
  Load this field value using the given result. This method will only be called if this field does not represent a FCO relation. The result will contain the columns from `FieldMapping.getColumns()`.

### loadKeyProjection

    public Object loadKeyProjection(JDBCStoreManager store,
                                    JDBCFetchConfiguration fetch,
                                    Result res,
                                    Joins joins)
                             throws SQLException

  Description copied from interface: `FieldMapping`
  Load this field's key value using the given result. This method will only be called if the key on this field does not represent a FCO relation. The result will contain the columns from `FieldMapping.getKeyColumns()`.
  Overrides:
    `loadKeyProjection` in class `AbstractFieldMapping`

### isCustomInsert

    public Boolean isCustomInsert(KodoStateManager sm)

  Description copied from interface: `Mapping`
  Return `Boolean.FALSE` if this mapping does not customize the insert process, `Boolean.TRUE` if it does, or null if it does customize the insert, but also relies on the standard insert method being called. Implement the `Mapping.insert(KodoStateManager,JDBCStoreManager)` method to implement the custom insertion behavior.
  Overrides:
    `isCustomInsert` in class `AbstractFieldMapping`

### insert

    public void insert(KodoStateManager sm,
                       RowManager rm)
                throws SQLException

  Description copied from interface: `Mapping`
  Set values for the mapping into the proper rows. For class mappings, this method will be called only after the corresponding method has been called for all fields of this mapping.

### insert

    public void insert(KodoStateManager sm,
                       JDBCStoreManager store)
                throws SQLException

  Description copied from interface: `Mapping`
  Override this method to customize flushing this mapping. For classes, this method must also flush all fields. For fields, this method is called after the owning object is inserted, so if this field is in a row with other fields, that row will already exist.
  Overrides:
    `insert` in class `AbstractFieldMapping`

### isCustomUpdate

    public Boolean isCustomUpdate(KodoStateManager sm)

  Description copied from interface: `Mapping`
  Return `Boolean.FALSE` if this mapping does not customize the update process, `Boolean.TRUE` if it does, or null if it does customize the update, but also relies on the standard update method being called. Implement the `Mapping.update(KodoStateManager,JDBCStoreManager)` method to override the default update behavior.
  Overrides:
    `isCustomUpdate` in class `AbstractFieldMapping`

### update

    public void update(KodoStateManager sm,
                       RowManager rm)
                throws SQLException

  Description copied from interface: `Mapping`
  Set values for the mapping into the proper rows.
  Following copied from interface: `kodo.jdbc.meta.Mapping`
  See Also:
    `Mapping.insert(kodo.runtime.KodoStateManager, kodo.jdbc.sql.RowManager)`

### update

    public void update(KodoStateManager sm,
                       JDBCStoreManager store)
                throws SQLException

  Description copied from interface: `Mapping`
  Override this method to customize flushing this mapping. For classes, this method must also flush all fields.
  Overrides:
    `update` in class `AbstractFieldMapping`

### isCustomDelete

    public Boolean isCustomDelete(KodoStateManager sm)

  Description copied from interface: `Mapping`
  Return `Boolean.FALSE` if this mapping does not customize the delete process, `Boolean.TRUE` if it does, or null if it does customize the delete, but also relies on the standard delete method being called. Implement the `Mapping.delete(KodoStateManager,JDBCStoreManager)` method to override the default deletion behavior.
  Overrides:
    `isCustomDelete` in class `AbstractFieldMapping`

### delete

    public void delete(KodoStateManager sm,
                       RowManager rm)
                throws SQLException

  Description copied from class: `ReferenceFieldMapping`
  Delete the row for this object if the reference foreign key exists.
  Overrides:
    `delete` in class `ReferenceFieldMapping`
  Following copied from interface: `kodo.jdbc.meta.Mapping`
  See Also:
    `Mapping.insert(kodo.runtime.KodoStateManager, kodo.jdbc.sql.RowManager)`

### delete

    public void delete(KodoStateManager sm,
                       JDBCStoreManager store)
                throws SQLException

  Description copied from interface: `Mapping`
  Override this method to customize flushing this mapping. For classes, this method must also flush all fields. For fields, this method will be called after the owning object is deleted.
  Overrides:
    `delete` in class `AbstractFieldMapping`

### isCustomNullEmbedded

    public Boolean isCustomNullEmbedded(KodoStateManager sm)

  Description copied from interface: `FieldMapping`
  Return `Boolean.FALSE` if this mapping does not customize the nulling process, `Boolean.TRUE` if it does, or null if it does customize the nulling, but also relies on the standard nulling method being called. Implement the `#nullEmbedded(KodoStateManager,JDBCStoreManager,Connection)` method to override the default update behavior.
  Overrides:
    `isCustomNullEmbedded` in class `AbstractFieldMapping`

### nullEmbedded

    public void nullEmbedded(KodoStateManager sm,
                             RowManager rm)
                      throws SQLException

  Description copied from interface: `FieldMapping`
  Null values for the mapping. This method is used when embedded values are nulled or replaced. The given state manager will be the owner of the object whose fields are now being nulled.
  Overrides:
    `nullEmbedded` in class `AbstractFieldMapping`
  Following copied from interface: `kodo.jdbc.meta.FieldMapping`
  See Also:
    `Mapping.insert(kodo.runtime.KodoStateManager, kodo.jdbc.sql.RowManager)`

### nullEmbedded

    public void nullEmbedded(KodoStateManager sm,
                             JDBCStoreManager store)
                      throws SQLException

  Description copied from interface: `FieldMapping`
  Override this method to customize nulling the given mapping (used with embedded values only). The given state manager will represent the object that embeds the object being nulled.
  Overrides:
    `nullEmbedded` in class `AbstractFieldMapping`

### isCustomDeleteEmbedded

    public Boolean isCustomDeleteEmbedded(KodoStateManager sm)

  Description copied from interface: `FieldMapping`
  Return `Boolean.FALSE` if this mapping does not customize the delete process, `Boolean.TRUE` if it does, or null if it does customize the delete, but also relies on the standard delete method being called. Implement the `#deleteEmbedded(KodoStateManager,JDBCStoreManager,Connection)` method to override the default update behavior.
  Overrides:
    `isCustomDeleteEmbedded` in class `AbstractFieldMapping`

### deleteEmbedded

    public void deleteEmbedded(KodoStateManager sm,
                               RowManager rm)
                        throws SQLException

  Description copied from interface: `FieldMapping`
  Delete values for the mapping. This method is used when embedded values are deleted. The given state manager will be the owner of the object that is being deleted.
  Overrides:
    `deleteEmbedded` in class `AbstractFieldMapping`
  Following copied from interface: `kodo.jdbc.meta.FieldMapping`
  See Also:
    `Mapping.insert(kodo.runtime.KodoStateManager, kodo.jdbc.sql.RowManager)`

### deleteEmbedded

    public void deleteEmbedded(KodoStateManager sm,
                               JDBCStoreManager store)
                        throws SQLException

  Description copied from interface: `FieldMapping`
  Override this method to customize deleting the given mapping (used with embedded values only). The given state manager will represent the object that embeds the object being deleted.
  Overrides:
    `deleteEmbedded` in class `AbstractFieldMapping`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.